package cn.com.qmth.examcloud.support.fss;

import cn.com.qmth.examcloud.support.fss.model.FssFileInfo;
import cn.com.qmth.examcloud.support.fss.model.FssSignInfo;

import java.io.File;

public interface FssService {

    FssFileInfo writeFile(String filePath, File file, String md5);

    FssFileInfo writeFile(String filePath, byte[] bytes, String md5);

    void readFile(String filePath, File toFile);

    byte[] readFile(String filePath);

    boolean deleteFile(String filePath);

    boolean existFile(String filePath);

    void refreshFile(String fileUrls);

    FssSignInfo buildSign(String filePath);

}
